## gnome-shell 46.0

=== debian/changelog ===
gnome-shell (46.0-0ubuntu6~24.04.11) noble; urgency=medium

  [ Mitchell Augustin ]
  * Fix quicksettings connections to enterprise AP (LP: #2120331)
  * Update Wi-Fi icons between disconnect and adapter deactivation
    (LP: #2120734)

  [ Marco Trevisan (Treviño) ]
  * d/p: Fix memory leak when using a custom theme (LP: #2121786)

  [ Sergio Costas Rodriguez ]
  * authPrompt: Notify error messages in GDM login/unlock (LP: #2115948)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 23 Oct 2025 13:20:48 +0800

gnome-shell (46.0-0ubuntu6~24.04.10) noble; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Fix accessibility issues in Gnome Shell/GDM/Unlock (LP: #2115948)
    - Add labels to the Today Events and Weather buttons
    - Notify to screen reader users any error during login/unlocking
    - Add screen reader compatible labels to St.Entry elements

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 10 Jul 2025 12:44:10 +0800

gnome-shell (46.0-0ubuntu6~24.04.9) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patches to fix the Shift behaviour in OSK (LP: #2092181)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 14 Apr 2025 17:35:20 +0800

gnome-shell (46.0-0ubuntu6~24.04.8) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patch for connecting to a new Wi-Fi network from the log-in screen
    (LP: #2098016)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 05 Mar 2025 16:24:15 +0100

gnome-shell (46.0-0ubuntu6~24.04.7) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to fix setenv/getenv crash on startup (LP: #2039340)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 23 Jan 2025 17:06:17 +0800

gnome-shell (46.0-0ubuntu6~24.04.6) noble; urgency=medium

  [ Nathan Pratta Teodosio ]
  * d/p/chromium-snap-pwa.patch: Fixes tab and dock grouping of progressive
    web applications for the Chromium snap (LP: #2007652).

  [ Robert Malz ]
  * d/p: Fix default service discovery.
    Fix an issue where authentication service was not
    properly picked due to incorrect checks in _isDiscreteServiceEnabled
    (LP: #2065432)
  * Add loginDialog-Don-t-assume-this._user-is-always-defined.patch.
    Cherry-pick for e5d9a0fe
    Fixes null dereference during login with smart cards. (LP: #2065432)

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: Use upstream/46.x branch
  * d/p: unlockDialog: Also center the time in 12h format (LP: #2084276)
  * d/p: Exclude override-redirect windows from workspace animation
    (LP: #2039543)
  * d/p: Use absolute tray icon position in root event coordinates
    (LP: #2059819)
  * d/p: Fix password not re-asked for TCRYPT devices (LP: #2084281)
  * d/p: Keep locate pointer animation when animations are disabled
    (LP: #2039801)
  * d/p: Fix keyboard navigation in AppFolderDialog (LP: #2042763)
  * d/p: Fix connection to WPA Enterprise networks from quick settings
    (LP: #2084286)
  * d/p: Add user permissions to new wifi connections if has no system ones
    (LP: #2084287)
  * d/p: gdm: Actually wait for pending messages being notified on failures
    (LP: #2084289)
  * d/p: Fix themed icons rendering in notifications (LP: #2084301)
  * d/p: Fix notifications not showing in the lockscreen (LP: #2084302)
  * d/p: Allow to set a custom ShellUserVerifier (LP: #2084306)
  * d/p: Fix toggling lockscreen view using Escape (LP: #2084308, #2072716)
  * d/p: Make active workspace above siblings (LP: #2084310)
  * d/p: notificationDaemon: Use correct property name to enable markup
    (LP: #2084293)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 05 Dec 2024 03:13:58 +0100

gnome-shell (46.0-0ubuntu6~24.04.5) noble; urgency=medium

  * Add shell-app-Warn-instead-of-crashing-if-disposed-before-sta.patch
    to avoid crashing the shell if an app misbehaves coincidentally close
    to a garbage collection run (LP: #2037055)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 13 Sep 2024 17:09:18 +0800

gnome-shell (46.0-0ubuntu6~24.04.4) noble; urgency=medium

  * Add st-theme-node-Forget-properties-cache-on-stylesheet-chang.patch
    to fix crashes that occur when locking the screen from within the overview.
    But more generally can occur whenever any extension that modifies
    stylesheets (like ubuntu-dock or dash-to-dock) is unloaded (LP: #2069559).

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 16 Aug 2024 15:16:47 +0800

gnome-shell (46.0-0ubuntu6~24.04.3) noble-security; urgency=medium

  * SECURITY UPDATE: resource consumption via portal helper
    - debian/patches/CVE-2024-36472-1.patch: use default_size instead of
      set_size_request for size in js/portalHelper/main.js.
    - debian/patches/CVE-2024-36472-2.patch: split out CaptivePortalHandler
      class in js/ui/status/network.js.
    - debian/patches/CVE-2024-36472-3.patch: show notification when
      detecting captive portal in js/ui/status/network.js.
    - debian/patches/CVE-2024-36472-4.patch: add option to disable
      portal-helper in data/icons/meson.build, data/meson.build,
      js/meson.build, js/misc/config.js.in, js/misc/meson.build,
      js/ui/status/network.js, meson.build, meson_options.txt,
      src/meson.build.
    - debian/rules: build with portal_helper=false to use the default
      browser instead of the embedded webkit2gtk browser.
    - CVE-2024-36472

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 14 Aug 2024 08:27:56 -0400

gnome-shell (46.0-0ubuntu6~24.04.1) noble; urgency=medium

  * debian: Prepare for noble branching
  * d/p/ubuntu-authd: Revert unwanted change causing ibus not to launch
    (LP: #2069381)
  * d/p: Do not allocate memory or call async-signal-unsafe code on spawn
  * d/p/ubuntu-authd: Properly draw qr-codes for longer URIs (LP: #2067610)
  * d/p/ubuntu-authd: Fix dialog text color when using light theme
    (LP: #2067661)
  * d/p/ubuntu-authd: Use right colors to draw the qr code in light mode
    (LP: #2067661)

