=== debian/control ===
--- 
+++ 
@@ -25,13 +25,13 @@
                gnome-pkg-tools,
                gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection,
-               gsettings-desktop-schemas-dev (>= 42~beta),
+               gsettings-desktop-schemas-dev (>= 46~beta),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
                libecal2.0-dev (>= 3.45),
                libedataserver1.2-dev (>= 3.45),
-               libgcr-3-dev,
+               libgcr-4-dev,
                libgirepository1.0-dev,
                libgjs-dev (>= 1.73.1),
                libgl1-mesa-dri <!nocheck>,
@@ -42,11 +42,12 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
+               libgtk-3-dev,
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-13-dev (>= 45.0),
-               mutter-13-tests (>= 45.0) <!nocheck>,
+               libmutter-14-dev (>= 46.0),
+               mutter-14-tests (>= 46.0) <!nocheck>,
                libnm-dev [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev,
@@ -59,10 +60,11 @@
                libxml2-dev,
                mesa-common-dev,
                meson (>= 0.58.0),
-               mutter (>= 45.0) <!nocheck>,
+               mutter (>= 46.0) <!nocheck>,
                pkg-config,
                sassc,
                systemd [linux-any],
+               terser,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
@@ -71,8 +73,8 @@
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/noble
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/noble
 
 Package: gnome-shell
 Architecture: linux-any
@@ -80,7 +82,7 @@
          gir1.2-adw-1,
          gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
-         gir1.2-gcr-3,
+         gir1.2-gcr-4,
          gir1.2-gdesktopenums-3.0,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0,
@@ -95,7 +97,7 @@
          gir1.2-gweather-4.0 (>= 4.1),
          gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-13 (>= 45.0),
+         gir1.2-mutter-14 (>= 46.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma4-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -106,7 +108,7 @@
          gir1.2-webkit-6.0,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 42~beta),
+         gsettings-desktop-schemas (>= 46~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin,
          python3,
