=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS += \
 	-Dnetworkmanager=true \
-	-Dsystemd=true
+	-Dsystemd=true \
+	-Dportal_helper=false
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -25,6 +26,13 @@
 		--libdir=/usr/lib \
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
+
+override_dh_auto_build:
+	# Regenerate the css files before building
+	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
+		python3 meson/generate-stylesheets.py
+
+	dh_auto_build
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/
@@ -46,14 +54,14 @@
 
 meson_test_options = --timeout-multiplier $(test_timeout_multiplier)
 
-ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
+#ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
 # gnome-shell on mips(64)el works on a real GPU (in practice usually an
 # AMD GPU), but crashes when using llvmpipe or softpipe, which is all that
 # is available on the buildds, so we only run the unit tests at build time
 # and skip the tests that would run the whole Shell. See discussion in
 # https://salsa.debian.org/gnome-team/gnome-shell/-/merge_requests/71
 meson_test_options += --no-suite shell
-endif
+#endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
