=== debian/changelog ===
gnome-shell (46.1-1) experimental; urgency=medium

  * Improve notification of conflicting session [Joan; !3235]
  * Add shift level to Korean OSK layout [Carlos; !3222]
  * Fix markup support in notifications [Sebastian; !3247]
  * extensions-app: Fix empty rows with '&' in extension name [Florian; !3266]
  * extensions-app: Improve HIG compliance [Automeris; !3269, !3271]
  * Omit expand buttons in notification banners [Julian; !3249]
  * Misc. bug fixes and cleanups [dcz, Totto16, Sebastian, Florian; !3262, !3253, !3260, !3234]
  
 -- Pedro M. de Echanove Pasquin <pedro.echanove@tuxum.com>  Wed,  24 Apr 2024 10:46:31 +0200

gnome-shell (46.0-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum mutter to 46.0
  * Bump minimum gsettings-desktop-schemas
  * Build-Depend on libgtk-3-dev
  * debian/gnome-shell.install: GNOME Shell no longer provides
    xdg-desktop-portal components
  * Skip shell build tests for now since they are flaky
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Mar 2024 15:36:16 -0400

gnome-shell (45.3-2) experimental; urgency=medium

  * Merge packaging changes from unstable
    - Build-depend on systemd-dev instead of systemd (Closes: #1060607)
    - Adjust Lintian overrides
    - All other changes were included in 45.3-1

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:46:37 +0000

gnome-shell (44.9-1) unstable; urgency=medium

  * New upstream release
  * Build with gcr4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 16:47:08 -0500

gnome-shell (44.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Request the intended height for StBin (gnome-shell!3043)
    - Fix a crash if an extension incorrectly attempts to add/remove
      an empty style class (gnome-shell#7152)
    - Allow edge fade to be removed from scroll views (gnome-shell!3047)
    - Don't hide the overlay while hovering over a window preview's icon
      (gnome-shell!3049)
    - Fix warnings during Shell exit (gnome-shell#7132, gnome-shell!3064)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 13:49:59 +0000

gnome-shell (44.7-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh_gnome_clean
  * Drop evolution .desktop lintian override: not needed since 44

  [ Simon McVittie ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060607)
  * d/gnome-shell.lintian-overrides: Remove unused override
  * d/gnome-shell.lintian-overrides: Tidy up whitespace
  * d/g-s-common.lintian-overrides: /usr/share/g-s/modes is intentionally
    empty

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Jan 2024 19:32:07 +0000

gnome-shell (44.3-5) unstable; urgency=medium

  * Team upload
  * Clean up obsolete gnome-shell-overrides-migration.desktop on upgrade
    (Closes: #1050193)

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Aug 2023 21:08:56 +0100

gnome-shell (44.3-4) unstable; urgency=medium

  * Team upload
  * Merge with version 43.7-2 from unstable.
    All changes in 43.7 were also included in 44.3.
    - d/p/main-Leak-the-GJS-context-and-ShellGlobal.patch:
      Drop patch, not needed in 44.x
  * Upload to unstable (part of transition: #1043144)

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Aug 2023 22:58:15 +0100

gnome-shell (44.3-3) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-44 branch commit 44.3-5-g29e6369e8
    - Translation update: es
  * d/p/tests-Use-different-suites.patch, d/rules:
    Skip tests that would run the whole Shell on mips* architectures.
    GNOME Shell is reported to work correctly on mips64el machines with an
    AMD GPU, but crashes when using llvmpipe, which appears to be an LLVM
    issue rather than a GNOME Shell issue; one test also crashes when using
    softpipe. (Helps: #1042980)

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Aug 2023 11:18:11 +0100

gnome-shell (44.3-2) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-44 branch commit 44.3-4-g1635c3713
    - Fix ELF header parsing on mips64el and riscv64 (Helps: #1042980)
    - Translation updates: be, cs, es
  * d/rules: Increate arbitrary test timeouts.
    The default test timeout is 30 seconds, but the perf-* tests take more
    like 45 seconds on mips64el. (Helps: #1042980)
  * d/rules: Run tests with softpipe instead of llvmpipe on mips family.
    This works around apparent LLVM/Mesa issues, similar to #993550
    originally reported against gtk4. (Helps: #1042980)

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Aug 2023 17:10:40 +0100
