=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream,
                asciidoc-base,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gjs,
+               gjs (>= 1.79.3),
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
@@ -33,7 +32,7 @@
                libedataserver1.2-dev (>= 3.45),
                libgcr-4-dev,
                libgirepository1.0-dev,
-               libgjs-dev (>= 1.73.1),
+               libgjs-dev (>= 1.79.3),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev,
                libgnome-autoar-0-dev,
@@ -61,20 +60,17 @@
                mesa-common-dev,
                meson (>= 0.58.0),
                mutter (>= 46.0) <!nocheck>,
-               pkg-config,
+               pkgconf,
                sassc,
-               systemd [linux-any],
-               terser,
+               systemd-dev [linux-any],
                xauth <!nocheck>,
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/noble
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/noble
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -106,17 +102,18 @@
          gir1.2-soup-3.0,
          gir1.2-upowerglib-1.0,
          gir1.2-webkit-6.0,
+         gnome-backgrounds,
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
          gsettings-desktop-schemas (>= 46~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin,
          python3,
-         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt,
+            chrome-gnome-shell,
             evolution-data-server (>= 3.45),
             gdm3,
             gkbd-capplet,
@@ -128,15 +125,11 @@
             iio-sensor-proxy,
             power-profiles-daemon,
             switcheroo-control,
-            ubuntu-session | gnome-session,
-            xserver-xorg-legacy,
             unzip
 Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2,
-          gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
-          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 50),
         gnome-shell-extension-dash-to-panel (<< 55),
         gnome-shell-extension-dashtodock (<< 79),
@@ -159,7 +152,6 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 23.10.0~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -169,7 +161,7 @@
 Architecture: linux-any
 Depends: gir1.2-adw-1,
          gir1.2-gtk-4.0,
-         gjs (>= 1.73.1),
+         gjs (>= 1.79.3),
          gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},
