=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS += \
 	-Dnetworkmanager=true \
-	-Dsystemd=true \
-	-Dportal_helper=false
+	-Dsystemd=true
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -26,13 +25,6 @@
 		--libdir=/usr/lib \
 		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
-
-override_dh_auto_build:
-	# Regenerate the css files before building
-	env MESON_SOURCE_ROOT=$(CURDIR) MESON_DIST_ROOT=$(CURDIR) \
-		python3 meson/generate-stylesheets.py
-
-	dh_auto_build
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/gnome-shell/
