## gnome-shell 46.2

=== debian/changelog ===
gnome-shell (46.2-1ubuntu3) oracular; urgency=medium

  * d/p/ubuntu-authd: Revert unwanted change causing ibus not to launch
    (LP: #2069381)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 06:45:11 +0200

gnome-shell (46.2-1ubuntu2) oracular; urgency=medium

  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)
  * debian/patches/ubuntu-authd: Properly handle new-password messages requests
    (LP: #2068080)
  * d/p/ubuntu-authd: Add translatable js files to POTFILES.in (LP: #2068912)
  * d/p: Do not call unsafe functions when spawning new processes (LP: #2019776)
  * d/p: Resize tray icon windows to respect their actor representation
    (LP: #2012388)
  * d/p: Do not make tray icons to take any input event directly (LP: #2012388)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Jun 2024 05:47:07 +0200

gnome-shell (46.2-1ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Merge with Debian
  * Refresh patches

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-authd: Properly draw qr-codes for longer URIs
    (LP: #2067610)
  * debian/patches/ubuntu-authd: Fix dialog text color when using light theme
    (LP: #2067661)
  * debian/patches/ubuntu-authd: Use right colors to draw the QR code in
    light mode (LP: #2067661)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 07:14:43 -0400

gnome-shell (46.2-1) experimental; urgency=medium

  * New upstream release
  * Drop screencast patch applied in new release
  * Drop revert tecla patch: no longer needed
  * Add Depends: tecla. Drop Recommends: gkbd-capplet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 08:03:22 -0400

gnome-shell (46.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 May 2024 15:38:15 +0200

gnome-shell (46.0-2) experimental; urgency=high

  * Team upload
  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Tue, 07 May 2024 11:32:22 +0100
